Subject: Re: bug#45645: Please revoke this commit: 7dd1a2174a8376c521dcf271e3b76f64096074fe

From: Efraim Flashner <[email-masked]>
Date: Mon, 4 Jan 2021 16:14:53 +0200

On Mon, Jan 04, 2021 at 09:52:38AM +0800, luhux wrote:
> 
> 
> Sorry for submitting the wrong patch.
> 
> Recently, when I checked the sdcv source code, I found that this environment variable does not support multiple paths and is separated by colons.
> 
> 
> ```
>     const gchar *stardict_data_dir = g_getenv("STARDICT_DATA_DIR");
>     std::string data_dir;
>     if (!opt_data_dir) {
>         if (!only_data_dir) {
>             if (stardict_data_dir)
>                 data_dir = stardict_data_dir;
>             else
>                 data_dir = "/usr/share/stardict/dic";
>         }
>     } else {
>         data_dir = get_impl(opt_data_dir);
>     }
> 
> ```
> 
> Please revoke the content of this commit.
> 
> luhux
> 

Do you have an easy test case? Something like 'guix environment --ad-hoc
sdvc stardict-en stardict-es -- sdvc'? I'd like to get it working. What
is it looking for, just one directory?

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted